Package org.codehaus.groovy.classgen.asm.sc

# Record Class AbstractFunctionalInterfaceWriter.SerializedLambdaFingerprint

java.lang.Object
java.lang.Record
org.codehaus.groovy.classgen.asm.sc.AbstractFunctionalInterfaceWriter.SerializedLambdaFingerprint

Enclosing interface:
  AbstractFunctionalInterfaceWriter

public static record AbstractFunctionalInterfaceWriter.SerializedLambdaFingerprint(String capturingClass, int implMethodKind, String implClass, String implMethodName, String implMethodSignature, String functionalInterfaceClass, String functionalInterfaceMethodName, String functionalInterfaceMethodSignature, String instantiatedMethodType, int capturedArgCount) extends Record
Compile-time identity of one serialized functional-interface target used by `$deserializeLambda$` dispatch.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SerializedLambdaFingerprint(String capturingClass, int implMethodKind, String implClass, String implMethodName, String implMethodSignature, String functionalInterfaceClass, String functionalInterfaceMethodName, String functionalInterfaceMethodSignature, String instantiatedMethodType, int capturedArgCount)`
  Creates an instance of a `SerializedLambdaFingerprint` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `capturedArgCount()`
  Returns the value of the `capturedArgCount` record component.
  `String`
  `capturingClass()`
  Returns the value of the `capturingClass` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `functionalInterfaceClass()`
  Returns the value of the `functionalInterfaceClass` record component.
  `String`
  `functionalInterfaceMethodName()`
  Returns the value of the `functionalInterfaceMethodName` record component.
  `String`
  `functionalInterfaceMethodSignature()`
  Returns the value of the `functionalInterfaceMethodSignature` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `implClass()`
  Returns the value of the `implClass` record component.
  `int`
  `implMethodKind()`
  Returns the value of the `implMethodKind` record component.
  `String`
  `implMethodName()`
  Returns the value of the `implMethodName` record component.
  `String`
  `implMethodSignature()`
  Returns the value of the `implMethodSignature` record component.
  `String`
  `instantiatedMethodType()`
  Returns the value of the `instantiatedMethodType` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SerializedLambdaFingerprint

    public SerializedLambdaFingerprint(String capturingClass, int implMethodKind, String implClass, String implMethodName, String implMethodSignature, String functionalInterfaceClass, String functionalInterfaceMethodName, String functionalInterfaceMethodSignature, String instantiatedMethodType, int capturedArgCount)
    Creates an instance of a `SerializedLambdaFingerprint` record class.
    Parameters:
      `capturingClass` - the value for the `capturingClass` record component
      `implMethodKind` - the value for the `implMethodKind` record component
      `implClass` - the value for the `implClass` record component
      `implMethodName` - the value for the `implMethodName` record component
      `implMethodSignature` - the value for the `implMethodSignature` record component
      `functionalInterfaceClass` - the value for the `functionalInterfaceClass` record component
      `functionalInterfaceMethodName` - the value for the `functionalInterfaceMethodName` record component
      `functionalInterfaceMethodSignature` - the value for the `functionalInterfaceMethodSignature` record component
      `instantiatedMethodType` - the value for the `instantiatedMethodType` record component
      `capturedArgCount` - the value for the `capturedArgCount` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### capturingClass

    public String capturingClass()
    Returns the value of the `capturingClass` record component.
    Returns:
      the value of the `capturingClass` record component

  - ### implMethodKind

    public int implMethodKind()
    Returns the value of the `implMethodKind` record component.
    Returns:
      the value of the `implMethodKind` record component

  - ### implClass

    public String implClass()
    Returns the value of the `implClass` record component.
    Returns:
      the value of the `implClass` record component

  - ### implMethodName

    public String implMethodName()
    Returns the value of the `implMethodName` record component.
    Returns:
      the value of the `implMethodName` record component

  - ### implMethodSignature

    public String implMethodSignature()
    Returns the value of the `implMethodSignature` record component.
    Returns:
      the value of the `implMethodSignature` record component

  - ### functionalInterfaceClass

    public String functionalInterfaceClass()
    Returns the value of the `functionalInterfaceClass` record component.
    Returns:
      the value of the `functionalInterfaceClass` record component

  - ### functionalInterfaceMethodName

    public String functionalInterfaceMethodName()
    Returns the value of the `functionalInterfaceMethodName` record component.
    Returns:
      the value of the `functionalInterfaceMethodName` record component

  - ### functionalInterfaceMethodSignature

    public String functionalInterfaceMethodSignature()
    Returns the value of the `functionalInterfaceMethodSignature` record component.
    Returns:
      the value of the `functionalInterfaceMethodSignature` record component

  - ### instantiatedMethodType

    public String instantiatedMethodType()
    Returns the value of the `instantiatedMethodType` record component.
    Returns:
      the value of the `instantiatedMethodType` record component

  - ### capturedArgCount

    public int capturedArgCount()
    Returns the value of the `capturedArgCount` record component.
    Returns:
      the value of the `capturedArgCount` record component